Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 146357

Summary: Apple snd_powermac card not detected by system-config-soundcard, while working module exists in kernel
Product: [Fedora] Fedora Reporter: Wade Mealing <wmealing>
Component: system-config-soundcardAssignee: Bastien Nocera <bnocera>
Status: CLOSED WORKSFORME QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: byte
Target Milestone: ---   
Target Release: ---   
Hardware: powerpc   
OS: Linux   
Whiteboard:
Fixed In Version: 1.2.11-2 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-05-09 11:09:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
s-c-soundcard-pmac.patch
none
patch to get it .. somewhat working.. I dont expect this to be complete none

Description Wade Mealing 2005-01-27 14:03:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.5)
Gecko/20041112 Firefox/1.0

Description of problem:
Running system-config-soundcard application, I would expect the sound
card to be detected and configured appropriately.


The sound card is not detected as it is not PCI or USB, it uses the
MACIO bus.

After diving around, it seems like the mechanism to scan the MACIO bus
was not being used, however this feature was available in kudzu.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run system-config-soundcard
2. application replies "no soundcard found"
3.
    

Actual Results:  no soundcard is found, and no soundcard is configured

Expected Results:  Soundcard to be found and configured

Additional info:

I've taken a stab at fixing this bug, and a somewhat working RPM is
available from: 

http://blog.subverted.net/personal/code/system-config-soundcard-ppc/

Comment 1 Wade Mealing 2005-01-27 14:05:25 UTC
It is probably quite an ugly fix, but the long and the short is that
this application is not written to search the MACIO bus.  Create diffs
against soundcard.py and soundcardBackend.py to see what has been
changed.  

If necessary, I'll provide diffs if need be.

Comment 2 Bastien Nocera 2005-01-27 14:09:38 UTC
Does the soundcard show up at any point in kudzu? Could you paste the
bit of your /etc/sysconfig/hwconf that relates to this card?

Comment 3 Wade Mealing 2005-02-04 02:33:07 UTC
/etc/sysconfig/hwdata

relevant section .... 
-
class: AUDIO
bus: MACIO
detached: 0
driver: snd_powermac
desc: "Apple Computer Inc.|PowerMac Sound"
-


You will find that kudzu does not search the MACIO bus.



Comment 4 Bastien Nocera 2005-02-04 09:17:36 UTC
Created attachment 110639 [details]
s-c-soundcard-pmac.patch

Look in the MACIO drivers as well, please test this patch.

Comment 5 Wade Mealing 2005-02-05 13:07:12 UTC
While now it does detect the card, the volume channels are not the
same on a mac as they are in a standard x86 machine. (I might be
wrong, but this is how I see it)

I'm running Feb 2 rawhide of ppc.
Shows the correct soundcard, the correct module is shown, yet no sound
 is heard.

$ system-config-soundcard
amixer: Mixer attach default error: No such file or directory
amixer: Mixer attach default error: No such file or directory


aplay: main:508: audio open error: No such file or directory

Here is the patch that gets it mostly working..  Is it just me or is
the current
http://download.fedora.redhat.com/pub/fedora/linux/core/development/ppc/SRPMS/
system-config-soundcard*  really broken ? It doesnt seem to load
modules, or save anything to /etc/modules.conf, seems really strange
to me.  Here is a patch from a semi working version.  It tends to
double up information in modules.conf when you run the application
multiple times..

Here is something that mostly works, except for the dupicated info in
modrobe.conf.. feel free to pull it apart.. its probably quite messy.

http://blog.subverted.net/personal/code/system-config-soundcard-ppc/sc-working.patch

Wade Mealing

Comment 6 Wade Mealing 2005-02-05 13:43:48 UTC
Created attachment 110692 [details]
patch to get it .. somewhat working.. I dont expect this to be complete

You'll need to hack this up, but you should see what im getting at.

It sets the correct volume controls for the snd_powermac module.

Comment 7 Wade Mealing 2005-02-09 04:33:24 UTC
From what I have found out, my patch doesnt work for the imac mini,
I'm going to do a little more research into exactly which volume
controls that need to be changed.  

Changing the master volume isnt enough for Apple hardware.

Comment 8 Bastien Nocera 2005-04-02 14:11:29 UTC
Fixed in CVS.

2005-04-02  Bastien Nocera  <hadess@hadess.net>

        * src/soundcard.py: remove use of deprecated gtk.FALSE and gtk.True
        (Closes: #153053)
        * src/soundcardBackend.py: scan the ISA bus (Closes: #146888), and the
        MacIO bus. Also set the "DRC Range" mixer to on for Macs
        (Closes: #146357)


Comment 9 Mike MacCana 2005-05-16 14:48:02 UTC
CLOSED RAWHIDE huh...are you sure the CVS change above has made it into a
rawhide package yet?

system-config-soundcard-1.2.11-2 doesn't seem to fix the problem - no soundcard
detected on a Mac Mini. Wade's earlier patches (when they weren't official)
worked fine on the same system.

Comment 10 Mike MacCana 2005-05-16 15:01:10 UTC
Ignore that, I see Wade's comment that the current fix doesn't work on a Mac Mini.

Should the bug be considered closed yet?

Comment 11 Bastien Nocera 2005-05-17 08:55:07 UTC
Open another bug if you're certain the bug isn't fixed for the Mac Mini.
Please also attach the output of "kudzu -p -c AUDIO" if you were to open a bug
(note, if it doesn't show anything, that means that it isn't against
system-config-soundcard that you should file a bug...).

Comment 12 Colin Charles 2005-05-17 09:16:15 UTC
(In reply to comment #11)
> Open another bug if you're certain the bug isn't fixed for the Mac Mini.
> Please also attach the output of "kudzu -p -c AUDIO" if you were to open a bug
> (note, if it doesn't show anything, that means that it isn't against
> system-config-soundcard that you should file a bug...).

Done just that: bug #157932